import net.designnation.Physics.*

class net.designnation.Physics.Point
{
	private var xV: Number;
	private var yV: Number;
	
	
	function Point( xParam: Number, yParam: Number )
	{
		this.xV = xParam || 0;
		this.yV = yParam || 0;
	}
	
	public function set x( loc: Number ): Void
	{
		this.xV = loc;
	}
	
	public function get x( ): Number
	{
		return this.xV;
	}
	
	public function set y( loc: Number ): Void
	{
		this.yV = loc;
	}
	
	public function get y( ): Number
	{
		return this.yV;
	}
	
	public function copy( point: Point )
	{
		this.x = point.x;	
		this.y = point.y;
		
		//return this;
	}
	
	public function equals( newPoint: Point ): Boolean
	{
		var returnVal: Boolean = false;
		
		if ( ( this.x == newPoint.x ) && ( this.y == newPoint.y ) )
		{
			returnVal = true;
		}
		else
		{
			returnVal = false;
		}
		
		return returnVal;
	}
	
	public function toString( Void ): String
	{
		return "Point("+ this.xV + ", " + this.yV + ")";
	}
	
}

